<?php

class Mail extends MailCore {
	
	public static function Send($id_lang, $template, $subject, $template_vars, $to, $to_name = null, $from = null, $from_name = null, $file_attachment = null, $mode_smtp = null, $template_path = _PS_MAIL_DIR_, $die = false, $id_shop = null, $bcc = null) {
	
		// Get extra template_vars
		$extra_template_vars = array();
		Hook::exec('actionGetExtraMailTemplateVars', array(
			'template' => $template,
			'template_vars' => $template_vars,
			'extra_template_vars' => &$extra_template_vars,
			'id_lang' => (int)$id_lang
		), null, true);
		$template_vars = array_merge($template_vars, $extra_template_vars);


	
		return parent::Send(
			$id_lang,
			$template,
			$subject,
			$template_vars,
			$to,
			$to_name,
			$from,
			$from_name,
			$file_attachment,
			$mode_smtp,
			$template_path,
			$die,
			$id_shop,
			$bcc
		);

	}

}