$(document).ready(function(){
	$('#paragonfaktura_select').change(function(){
		
		$('.paragonfaktura_status').removeClass('show-status');
		$('#paragonfaktura_loader').addClass('loading-animate');
		
		var docType = $('#paragonfaktura_select').val();
		$.ajax({
			type: "post",
			url: baseDir+'/modules/twparagonfaktura2/ajax2.php',
			dataType : 'json',
			data: { docType: docType },
			
			complete: function() {
				$('#paragonfaktura_loader').removeClass('loading-animate');
			},
			
			success: function(response) {
				if (response.status == 'success') {
					$('.paragonfaktura_status.success').addClass('show-status');
				} else {
					$('.paragonfaktura_status.error').addClass('show-status');
				}
			}
		})
	})
});
